package com.ruoyi.project.plant.service;

import java.util.List;
import com.ruoyi.project.plant.domain.TMtdEmail;

/**
 * 会议邮件配置Service接口
 *
 * @author ssy
 * @date 2023-12-05
 */
public interface ITMtdEmailService
{
    /**
     * 查询会议邮件配置
     *
     * @param id 会议邮件配置ID
     * @return 会议邮件配置
     */
    public TMtdEmail selectTMtdEmailById(Long id);

    /**
     * 查询会议邮件配置列表
     *
     * @param tMtdEmail 会议邮件配置
     * @return 会议邮件配置集合
     */
    public List<TMtdEmail> selectTMtdEmailList(TMtdEmail tMtdEmail);

    /**
     * 新增会议邮件配置
     *
     * @param tMtdEmail 会议邮件配置
     * @return 结果
     */
    public int insertTMtdEmail(TMtdEmail tMtdEmail);

    /**
     * 修改会议邮件配置
     *
     * @param tMtdEmail 会议邮件配置
     * @return 结果
     */
    public int updateTMtdEmail(TMtdEmail tMtdEmail);

    /**
     * 批量删除会议邮件配置
     *
     * @param ids 需要删除的会议邮件配置ID
     * @return 结果
     */
    public int deleteTMtdEmailByIds(Long[] ids);

    /**
     * 删除会议邮件配置信息
     *
     * @param id 会议邮件配置ID
     * @return 结果
     */
    public int deleteTMtdEmailById(Long id);
}
